View Issue Details

IDProjectCategoryView StatusLast Update
0010234MediaMonkey for AndroidSynchronizationpublic2013-04-28 20:02
ReporterLudek Assigned To 
PriorityimmediateSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.1 
Target Version1.0.1 
Summary0010234: Tweaks in USB sync
DescriptionDuring testing of USB sync in the course of 0010200 I found several tweaks that needs to be fixed on MMA side:

1. If MMW updates metadata from MMA, sets modifications.pc_synced = 1 and uploads the synced DB, then MMA doesn't update the state in the original DB and thus every modification is always re-synced on the next USB sync. This results in performance leak on MMW side.

2. StorageInfo.xml was renamed to StorageInfo.xml.mmw in course of 0010221 (see details there)

3. AFAIK there is still a problem with playlist syncing over USB, discuss with Martin for details
TagsNo tags attached.
Fixed in build91

Activities

marek

2012-12-17 10:28

developer   ~0033934

1) fixed in build 83
2) fixed in build 83

Ludek

2012-12-18 22:03

developer   ~0033971

Last edited: 2012-12-18 22:17

View 4 revisions

4) album artists don't sync correctly in build 85. Incorrect artists get assigned.

I synced bunch of tracks where all tracks have Artist = Album artist, but resulted tracks in MMA have e.g. Artist=Artist1, Album Artist = Artist3;Artist2. It also creates some empty phantom albums on the device. I double checked that MMW writes the values correctly, so it is definetly something on MMA side.
This issue doesn't occur if I sync only one single album per each sync.

Ludek

2012-12-19 10:56

developer   ~0033990

Last edited: 2012-12-19 10:56

View 2 revisions

Note that consequence of issue 4) are the problems reported here:
http://forum.mediamonkey.com/viewtopic.php?f=21&t=69167
so I guess that 4) should be fixed ASAP, raising to immediate

marek

2012-12-20 10:05

developer   ~0034053

Fixed in build 86

Ludek

2012-12-20 19:27

developer   ~0034076

Last edited: 2012-12-20 22:51

View 4 revisions

This still doesn't seem to work correctly in 87.
Still some phantom empty albums are created and artists get mixed sometimes in 87

Also several debug logs have been sent after the sync.
Tested with Galaxy Nexus (in MTP mode) and ZTE Blade (MSC mode)

Ludek

2013-01-08 10:51

developer   ~0034284

Last edited: 2013-01-08 10:51

View 2 revisions

Some further issues (occuring when Album Artist is unknown) are fixed in MMW 1618

martin

2013-01-10 01:41

developer   ~0034343

Please verify if "album" instruction is not missing in sync operation table when the new album is assigned to track, which had no album previously.

martin

2013-01-10 20:04

developer   ~0034373

Fixed in build 91.

peke

2013-04-28 20:02

developer   ~0035832

No new Regressions detected in 125